%% Read all folders under this folder
close all;clear all;clc;  
PathRoot='K:\ڱ\201609'; %the folder for SAR images.
list=dir(fullfile(PathRoot));
dirnum=0;
Sentinel_1_Name={};
fileNum=size(list,1);
for k=1:fileNum  %get the name of Sentinel-1 safe files
    if list(k).isdir==1 &&~isempty(strfind(list(k).name, '.SAFE'))
        dirnum=dirnum+1;
        Sentinel_1_Name{dirnum}=list(k).name;
    end
end
temp2=1:dirnum;
%% processing for every image.
for i11=1:length(temp2)  
    i22=temp2(i11);
    Sentinel_path=[PathRoot,'\',Sentinel_1_Name{i22},'\measurement\'];
    sublist=dir(Sentinel_path);
    sublength=size(sublist,1);
    for ii = 1 : sublength
        if (strcmp(sublist(ii).name, '.') == 1) || (strcmp(sublist(ii).name, '..') == 1)
            continue;
        end
        if ~isempty(strfind(sublist(ii).name, '.tiff'))
            if ~isempty(strfind(sublist(ii).name, 'hh')) || ~isempty(strfind(sublist(ii).name, 'hh')) 
%                 HH_path=fullfile(Sentinel_path, '\',sublist(ii).name);
                HH_name=sublist(ii).name;
                
            else if ~isempty(strfind(sublist(ii).name, 'hv')) || ~isempty(strfind(sublist(ii).name, 'vh')) 
%                     HV_path=fullfile(Sentinel_path, '\',sublist(ii).name);
                    HV_name=sublist(ii).name;
                end
            end
        end
    end
    IPF28_2017_EW_Noiseremoval(Sentinel_path,Sentinel_1_Name{i11},HV_name,HH_name); 
%     IPF29_2018_EW_Noiseremoval(Sentinel_path,Sentinel_1_Name{i22},HV_name,HH_name);
end


